Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class DatePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.DatePatternConverter

All Implemented Interfaces:
  ArrayPatternConverter, PatternConverter

    @Plugin(name="DatePatternConverter",
            category="Converter")
    public final class DatePatternConverter

extends LogEventPatternConverter
implements ArrayPatternConverter

Convert and format the event's date in a StringBuilder.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Method Summary
`void` | `format(Date date, StringBuilder toAppendTo)` Append formatted date to string buffer.
`void` | `format(LogEvent event, StringBuilder output)` Formats an event into a string buffer.
`void` | `format(Object obj, StringBuilder output)` Formats an object into a string buffer.
`void` | `format(StringBuilder toAppendTo, Object... objects)` Formats an array of Objects.
`String` | `getPattern()` Gets the pattern string describing this date format.
`static DatePatternConverter` | `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`getName, getStyleClass`

Method Detail

### newInstance

    public static DatePatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(Date date,
                       StringBuilder toAppendTo)

  Append formatted date to string buffer.

  Parameters:
    `date` - date
    `toAppendTo` - buffer to which formatted date is appended.

### format

    public void format(LogEvent event,
                       StringBuilder output)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Object obj,
                       StringBuilder output)

  Formats an object into a string buffer.

  Specified by:
    `format` in interface `PatternConverter`
  Overrides:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `obj` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(StringBuilder toAppendTo,
                       Object... objects)

  Description copied from interface: `ArrayPatternConverter`
  Formats an array of Objects.

  Specified by:
    `format` in interface `ArrayPatternConverter`
  Parameters:
    `toAppendTo` - The StringBuilder to add the content to.
    `objects` - The Object array.

### getPattern

    public String getPattern()

  Gets the pattern string describing this date format.

  Returns:
    the pattern string describing this date format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.